require "thor"

module Pretzel
	class CLI < Thor
    attr_accessor :name

    include Thor::Actions
		package_name "Pretzel"

    def self.source_root
      File.dirname(__FILE__)
    end

		desc "create <project>", "Create a new Pretzel project."
		def create(name)
      @name = name

      empty_directory name
      empty_directory "#{name}/assets"
      empty_directory "#{name}/views"
      empty_directory "#{name}/views/includes"

      template "templates/application.rb", "#{name}/#{name}.rb"
      template "templates/config.ru", "#{name}/config.ru"
		end

    desc "start <port>", "Run your application on the specified port"
    def start(port)
      if File.exist? "config.ru"
        system "rackup -p #{port} -o '0.0.0.0'"
      else
        puts "ERROR: No config.ru found"
      end
    end

    desc "bake <port>", "Vanity function. Same as 'start'"
    def bake(port)
      start port
    end
	end
end
